### Method

# Ide Workbench set_build_system

#### Declaration

    void
    ide_workbench_set_build_system (
      IdeWorkbench* self,
      IdeBuildSystem* build_system
    )

#### Description

Sets the `IdeBuildSystem` for the workbench.

If `build_system` is `NULL`, then a fallback build system will be used instead. It does not provide building capabilities, but allows for some components that require a build system to continue functioning.

Available since: | 3.32

#### Parameters

`build_system` | `IdeBuildSystem`
| An `IdeBuildSystem` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.